### Class

# PangoFc Decoder

#### Description [src]

    abstract class PangoFc.Decoder : GObject.Object {
      /* No available fields */
    }

`PangoFcDecoder` is a virtual base class that implementations will inherit from.

It’s the interface that is used to define a custom encoding for a font. These objects are created in your code from a function callback that was originally registered with `pango_fc_font_map_add_decoder_find_func()`. Pango requires information about the supported charset for a font as well as the individual character to glyph conversions. Pango gets that information via the #get_charset and #get_glyph callbacks into your object implementation.

Available since: | 1.6

#### Ancestors

- GObject

#### Instance methods

###### pango_fc_decoder_get_charset

Generates an `FcCharSet` of supported characters for the `fcfont` given.

Available since: 1.6

###### pango_fc_decoder_get_glyph

Generates a `PangoGlyph` for the given Unicode point using the custom decoder.

Available since: 1.6

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PangoFcDecoderClass {
      FcCharSet* (* get_charset) (
        PangoFcDecoder* decoder,
        PangoFcFont* fcfont
      );
      PangoGlyph (* get_glyph) (
        PangoFcDecoder* decoder,
        PangoFcFont* fcfont,
        guint32 wc
      );
      void (* _pango_reserved1) (
    void
      );
      void (* _pango_reserved2) (
    void
      );
      void (* _pango_reserved3) (
    void
      );
      void (* _pango_reserved4) (
    void
      );

    }

Class structure for `PangoFcDecoder`.

###### Class members

`get_charset: FcCharSet* (* get_charset) ( PangoFcDecoder* decoder, PangoFcFont* fcfont )`
  No description available.
`get_glyph: PangoGlyph (* get_glyph) ( PangoFcDecoder* decoder, PangoFcFont* fcfont, guint32 wc )`
  No description available.
`_pango_reserved1: void (* _pango_reserved1) ( void )`
  No description available.
`_pango_reserved2: void (* _pango_reserved2) ( void )`
  No description available.
`_pango_reserved3: void (* _pango_reserved3) ( void )`
  No description available.
`_pango_reserved4: void (* _pango_reserved4) ( void )`
  No description available.

#### Virtual methods

###### PangoFc.DecoderClass.get_charset

Generates an `FcCharSet` of supported characters for the `fcfont` given.

Available since: 1.6

###### PangoFc.DecoderClass.get_glyph

Generates a `PangoGlyph` for the given Unicode point using the custom decoder.

Available since: 1.6